de.esprit.appsuite.gui.pathtree

## Class PathRegistrationListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel<PathInfo>
      - - de.esprit.appsuite.gui.pathtree.PathRegistrationListModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel<PathInfo>

      public class PathRegistrationListModel
      extends ZListModel<PathInfo>

  This `ListModel` implementation observes the path registration in the `PathTreeModelDriver` and stores the paths currently being watched.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathRegistrationListModel(PathTreeModelDriver driver)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathRegistrationListModel

          public PathRegistrationListModel(PathTreeModelDriver driver)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.